package com.jxml.quick.engine;
import com.jxml.quick.*;
import com.jxml.quick.access.*;
import com.jxml.quick.tf.*;

interface QEI
{
    public void processStart(QAccess access, 
			     QTargetFactory parentFactory,
			     String name, 
			     QIterator cIterator,
			     String fixed)
	throws QPE;

    public void processElement(String name)
	throws QPE;

    public void processEnd(String text)
	throws QPE;

    public Object getObject()
	throws QPE;
}
